Description: <short summary of the patch>
 TODO: Put a short summary on the line above and replace this paragraph
 with a longer explanation of this change. Complete the meta-information
 with other relevant fields (see below for details). To make it easier, the
 information below has been extracted from the changelog. Adjust it or drop
 it.
 .
 maxima (5.47.0-1) unstable; urgency=medium
 .
   * New upstream release.
   * Bug fix: "CVE-2024-34490", thanks to Moritz Mühlenhoff (Closes:
     #1071630).
Author: Camm Maguire <camm@debian.org>
Bug-Debian: https://bugs.debian.org/1071630

---
The information above should follow the Patch Tagging Guidelines, please
checkout https://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: (upstream|backport|vendor|other), (<patch-url>|commit:<commit-id>)
Bug: <upstream-bugtracker-url>
Bug-Debian: https://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: (no|not-needed|<patch-forwarded-url>)
Applied-Upstream: <version>, (<commit-url>|commit:<commid-id>)
Reviewed-By: <name and email of someone who approved/reviewed the patch>
Last-Update: 2024-06-07

--- maxima-5.47.0.orig/src/testsuite.lisp
+++ maxima-5.47.0/src/testsuite.lisp
@@ -50,7 +50,9 @@
 	;; and sporadically in 201, 234, 249, 250, 251, 252, 267, 297, 298, 312, 315
 	;; and 319
 	;; ECL 13.5.1 sporadically fails in 233
-	((mlist simp) "rtest14")
+	((mlist simp) "rtest14"  #+gcl 155
+	 #+gcl 159 ;i386 fixed with sse
+	 )
         "rtest15"
 	;; ccl versions 1.11 and earlier fail test 50.  Mark it as a
 	;; known failure.  Presumably 1.12 will have this fixed.
@@ -65,7 +67,14 @@
 	"rtestode_zp"
         ((mlist simp) "rtest3" ((mlist simp) 146))
 	;; ECL 16.1.2 still fails in #104
-	((mlist simp) "rtest8" #+(and m68k linux gnu gcl) 101 #+(and m68k linux gnu gcl) 104)
+	((mlist simp) "rtest8" #+(and m68k linux gnu gcl) 101 #+(and m68k linux gnu gcl) 104
+	 #+gcl 92;i386 fixed with sse
+	 #+gcl 95;i386 fixed with sse
+	 #+gcl 98;i386 fixed with sse
+	 #+gcl 104;i386 fixed with sse
+	 #+gcl 107;i386 fixed with sse
+	 #+gcl 186;i386 fixed with sse
+	 )
         "rtest12"
         "rexamples"
         ((mlist simp) "rtesthyp"
@@ -151,7 +160,7 @@
 	((mlist simp) "rtest_nfloat"
 	 #-gcl((mlist simp) 25))
 	((mlist simp) "rtest_ilt")
-	((mlist simp) "ulp_tests"
+	((mlist simp) "ulp_tests" #+gcl 8 ;To be fixed in GCL
 	 ;; Clisp doesn't have denormals
 	 #+clisp
 	 ((mlist simp) 10 42 49))))
